Category: UI Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently, tables for issues, time tracking, and other sections use alternating row colors (odd-even stripes) for visual separation.

However, I think it is insufficient, and there is still room to improve readability.

The attached patch enhances the table's readability by adding horizontal borders between rows. This change provides clearer visual

separation between rows, making it easier to scan individual rows.

Current style:

 current-table-style@2x.png 

New style:

 new-table-style@2x.png 

Related issues:

Related to Redmine - Feature #8318: Improve readability Closed 2011-05-07

Associated revisions

Revision 23120 - 2024-10-13 09:38 - Go MAEDA

Improve table readability by adding row borders (#41475).

Patch by Go MAEDA (user:maeda).

Revision 23123 - 2024-10-15 11:31 - Go MAEDA

Remove the border override for tr.entry as it is no longer necessary (#41475).

Revision 23124 - 2024-10-15 12:20 - Go MAEDA

Improve visual clarity of issue grouping separators in issues list by increasing the border thickness (#41475).

Revision 23125 - 2024-10-15 16:59 - Go MAEDA

Emphasize the border between table header and body to improve appearance (#41475).

Revision 23126 - 2024-10-15 17:22 - Go MAEDA

Align the `#time-report tbody tr.total` row border styling with the table header (#41475).

History

#1 - 2024-10-12 09:45 - pasquale [:dedalus]

Nice and useful! Why not lands in redmine 6.0?

#2 - 2024-10-13 00:16 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#3 - 2024-10-13 09:39 - Go MAEDA

- Subject changed from Improve tables readability by adding row borders to Improve table readability by adding row borders

- Assignee set to Go MAEDA
- Resolution set to Fixed

Committed the patch in r23120.

#4 - 2024-10-13 10:03 - Go MAEDA

- Status changed from New to Closed

#5 - 2024-11-15 09:09 - Go MAEDA

- Related to Feature #8318: Improve readability added
